<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        {# Run `composer require symfony/webpack-encore-bundle`
           and uncomment the following Encore helpers to start using Symfony UX #}
        {% block stylesheets %}
            {{ encore_entry_link_tags('app') }}
        {% endblock %}

        {% block javascripts %}
            {#{{ encore_entry_script_tags('app') }}#}
        {% endblock %}
    </head>
    <body>
        <nav class="navbar navbar-expand-md navbar-dark mb-4" role="navigation">
            <div class="container">
                <div class="navbar-header">
                    <button
                            class="navbar-toggler"
                            type="button"
                            data-toggle="collapse"
                            data-target="#navbarSupportedContent"
                            aria-controls="navbarSupportedContent"
                            aria-expanded="false"
                            aria-label="Toggle navigation"
                    >
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <a class="navbar-brand" href="/">
                        <img src="/img/lion-new.svg" class="navbar-brand-image" alt="Leobit">
                        <span class="navbar-brand-name">Leobit</span>
                    </a>
                </div>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav">
                        <li class="nav-item">
                            <a class="nav-link" href="{{ path('index') }}">Home</a>
                        </li>
                        {% if is_granted('ROLE_USER') %}
                            <li class="nav-item"><a class="nav-link" href="{{ path('user_index') }}">Users</a></li>
                        {% endif %}
                        {% if is_granted('ROLE_ADMIN') %}
                            <li class="nav-item"><a class="nav-link" href="{{ path('roles') }}">Roles</a></li>
                        {% endif %}
                        <li class="nav-item">
                            <a class="nav-link" href="{{path('news_index') }}">News</a>
                        </li>
                    </ul>
                </div>
                    <div class="mb-3 navbar-user-profile">
                        {% if app.user %}
                            <span class="profile-info">You are logged in as {{ app.user.username }},</span> <a class="profile-nav-link" href="{{ path('app_logout') }}">Logout</a>
                        {% else %}
                            <a class="profile-nav-link" href="{{ path('app_login') }}">Login</a>
                        {% endif %}
                    </div>
            </div>
        </nav>
        <div class="container">
            {% block body %}{% endblock %}
        </div>
    </body>
</html>
